Okta for AI Agents
/Resource Servers
//
List all client authentic...
Beta
OAuth 2.0 scope:
- okta.resourceServers.clientAuthSettings.read
- okta.resourceServers.mcpServers.read
- okta.resourceServers.virtualMcpServers.read
- okta.resourceServers.apiServers.read
- okta.resourceServers.read
- okta.aiAgents.read
Admin roles:
- SUPER_ADMIN
Lists all configured client authentication settings. Each entry includes the purpose array, protocol, and configuration details. Optionally, you can filter by resourceOrn and/or purpose using a SCIM filter expression.
Searches for client authentication settings with a filtering expression. This supports the following operator:
eqoperator for theresourceOrnandpurposeproperties
Filter expressions can be combined using the and logical operator.
Note: Query parameter percent encoding is required.
Examples:
Search by target Orn
Search client authentication settings that reference a specific target entity by its ORN
search=resourceOrn eq "orn:okta:idp:00o1n8sbwArJ7OQRw406:apps:github:0oa1gjh63g214q0Hq0g4"Search by purpose
Search client authentication settings whose purpose matches the given value
search=purpose eq "STS"Search by target Orn and purpose
Search client authentication settings that match both a specific target ORN and a specific purpose
search=resourceOrn eq "orn:okta:idp:00o1n8sbwArJ7OQRw406:apps:github:0oa1gjh63g214q0Hq0g4" and purpose eq "STS"- https://subdomain.okta.comhttps://subdomain.okta.com/resource-servers/api/v1/client-auth-settings
curl -i -X GET \
'https://subdomain.okta.com/resource-servers/api/v1/client-auth-settings?after=string&limit=20&search=resourceOrn%20eq%20%22orn%3Aokta%3Aidp%3A00o1n8sbwArJ7OQRw406%3Aapps%3Agithub%3A0oa1gjh63g214q0Hq0g4%22'